var websocket = require("../ThirdParty/WebSocket.js");
cc.Class({
    extends: cc.Component,

    properties: {
        ReceiveMsgText: {
            default: null,
            type: cc.Node,
            serializable: true,
        },
        InputEditbox: {
            default: null,
            type: cc.Node,
            serializable: true,
        },
    },
    onLoad () {
        this.editText = '';
    },
    start () {
        websocket.connect("ws://127.0.0.1:6080/ws",this);
    },
    updateMsg(msg)
    {
        this.ReceiveMsgText.getComponent(cc.Label).string = msg;
    },
    sendMsg()
    {
        websocket.send_data(JSON.stringify({
            stype: "auth",
            ctype: "message",
            data: {
                name: "TestUser",
                msg:this.editText,
            }
        }));

        this.InputEditbox.getComponent(cc.EditBox).string = '';
    },
    onTextChanged: function(text, editbox, customEventData) {
        // 这里的 text 表示 修改完后的 EditBox 的文本内容
        // 这里 editbox 是一个 cc.EditBox 对象
        // 这里的 customEventData 参数就等于你之前设置的 "foobar"
        this.editText = text;
    }
    // update (dt) {},
});
